Update connector partially
curl --request PATCH \
--url https://api.getmembrane.com/connectors/{idOrKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"name": "<string>",
"logoUri": "<string>",
"externalAppId": "<string>",
"externalAppUuid": "<string>",
"categories": [
"<string>"
],
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {},
"refreshCredentials": {},
"makeApiClient": {},
"getOAuthConfig": {},
"getTokenData": {},
"getCredentialsFromAccessTokenResponse": {},
"getCredentialsFromRefreshTokenResponse": {},
"test": {},
"disconnect": {},
"proxyKey": "<string>",
"options": {}
}
'import requests
url = "https://api.getmembrane.com/connectors/{idOrKey}"
payload = {
"key": "<string>",
"name": "<string>",
"logoUri": "<string>",
"externalAppId": "<string>",
"externalAppUuid": "<string>",
"categories": ["<string>"],
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": True,
"enum": ["<string>"],
"referenceRecords": [{}],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": True,
"required": ["<string>"],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": True,
"writeOnly": True,
"examples": [{}],
"anyOf": "<array>",
"isImplied": True,
"isSensitive": True,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": True,
"enum": ["<string>"],
"referenceRecords": [{}],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": True,
"required": ["<string>"],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": True,
"writeOnly": True,
"examples": [{}],
"anyOf": "<array>",
"isImplied": True,
"isSensitive": True,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": True,
"enum": ["<string>"],
"referenceRecords": [{}],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": True,
"required": ["<string>"],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": True,
"writeOnly": True,
"examples": [{}],
"anyOf": "<array>",
"isImplied": True,
"isSensitive": True,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {},
"refreshCredentials": {},
"makeApiClient": {},
"getOAuthConfig": {},
"getTokenData": {},
"getCredentialsFromAccessTokenResponse": {},
"getCredentialsFromRefreshTokenResponse": {},
"test": {},
"disconnect": {},
"proxyKey": "<string>",
"options": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
name: '<string>',
logoUri: '<string>',
externalAppId: '<string>',
externalAppUuid: '<string>',
categories: ['<string>'],
customCredentialsSchema: {
type: '<string>',
title: '<string>',
description: '<string>',
format: '<string>',
properties: {},
items: '<unknown>',
additionalProperties: true,
enum: ['<string>'],
referenceRecords: [{}],
referenceCollection: {key: {}, parameters: {}},
referenceUdm: '<string>',
default: {},
allowCustom: true,
required: ['<string>'],
minLength: 123,
maxLength: 123,
minimum: 123,
maximum: 123,
maxItems: 123,
readOnly: true,
writeOnly: true,
examples: [{}],
anyOf: '<array>',
isImplied: true,
isSensitive: true,
referenceCollectionPath: '<string>',
referenceCollectionUri: '<string>'
},
inputSchema: {
type: '<string>',
title: '<string>',
description: '<string>',
format: '<string>',
properties: {},
items: '<unknown>',
additionalProperties: true,
enum: ['<string>'],
referenceRecords: [{}],
referenceCollection: {key: {}, parameters: {}},
referenceUdm: '<string>',
default: {},
allowCustom: true,
required: ['<string>'],
minLength: 123,
maxLength: 123,
minimum: 123,
maximum: 123,
maxItems: 123,
readOnly: true,
writeOnly: true,
examples: [{}],
anyOf: '<array>',
isImplied: true,
isSensitive: true,
referenceCollectionPath: '<string>',
referenceCollectionUri: '<string>'
},
parametersSchema: {
type: '<string>',
title: '<string>',
description: '<string>',
format: '<string>',
properties: {},
items: '<unknown>',
additionalProperties: true,
enum: ['<string>'],
referenceRecords: [{}],
referenceCollection: {key: {}, parameters: {}},
referenceUdm: '<string>',
default: {},
allowCustom: true,
required: ['<string>'],
minLength: 123,
maxLength: 123,
minimum: 123,
maximum: 123,
maxItems: 123,
readOnly: true,
writeOnly: true,
examples: [{}],
anyOf: '<array>',
isImplied: true,
isSensitive: true,
referenceCollectionPath: '<string>',
referenceCollectionUri: '<string>'
},
getCredentialsFromConnectionParameters: {},
refreshCredentials: {},
makeApiClient: {},
getOAuthConfig: {},
getTokenData: {},
getCredentialsFromAccessTokenResponse: {},
getCredentialsFromRefreshTokenResponse: {},
test: {},
disconnect: {},
proxyKey: '<string>',
options: {}
})
};
fetch('https://api.getmembrane.com/connectors/{idOrKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/connectors/{idOrKey}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'key' => '<string>',
'name' => '<string>',
'logoUri' => '<string>',
'externalAppId' => '<string>',
'externalAppUuid' => '<string>',
'categories' => [
'<string>'
],
'customCredentialsSchema' => [
'type' => '<string>',
'title' => '<string>',
'description' => '<string>',
'format' => '<string>',
'properties' => [
],
'items' => '<unknown>',
'additionalProperties' => true,
'enum' => [
'<string>'
],
'referenceRecords' => [
[
]
],
'referenceCollection' => [
'key' => [
],
'parameters' => [
]
],
'referenceUdm' => '<string>',
'default' => [
],
'allowCustom' => true,
'required' => [
'<string>'
],
'minLength' => 123,
'maxLength' => 123,
'minimum' => 123,
'maximum' => 123,
'maxItems' => 123,
'readOnly' => true,
'writeOnly' => true,
'examples' => [
[
]
],
'anyOf' => '<array>',
'isImplied' => true,
'isSensitive' => true,
'referenceCollectionPath' => '<string>',
'referenceCollectionUri' => '<string>'
],
'inputSchema' => [
'type' => '<string>',
'title' => '<string>',
'description' => '<string>',
'format' => '<string>',
'properties' => [
],
'items' => '<unknown>',
'additionalProperties' => true,
'enum' => [
'<string>'
],
'referenceRecords' => [
[
]
],
'referenceCollection' => [
'key' => [
],
'parameters' => [
]
],
'referenceUdm' => '<string>',
'default' => [
],
'allowCustom' => true,
'required' => [
'<string>'
],
'minLength' => 123,
'maxLength' => 123,
'minimum' => 123,
'maximum' => 123,
'maxItems' => 123,
'readOnly' => true,
'writeOnly' => true,
'examples' => [
[
]
],
'anyOf' => '<array>',
'isImplied' => true,
'isSensitive' => true,
'referenceCollectionPath' => '<string>',
'referenceCollectionUri' => '<string>'
],
'parametersSchema' => [
'type' => '<string>',
'title' => '<string>',
'description' => '<string>',
'format' => '<string>',
'properties' => [
],
'items' => '<unknown>',
'additionalProperties' => true,
'enum' => [
'<string>'
],
'referenceRecords' => [
[
]
],
'referenceCollection' => [
'key' => [
],
'parameters' => [
]
],
'referenceUdm' => '<string>',
'default' => [
],
'allowCustom' => true,
'required' => [
'<string>'
],
'minLength' => 123,
'maxLength' => 123,
'minimum' => 123,
'maximum' => 123,
'maxItems' => 123,
'readOnly' => true,
'writeOnly' => true,
'examples' => [
[
]
],
'anyOf' => '<array>',
'isImplied' => true,
'isSensitive' => true,
'referenceCollectionPath' => '<string>',
'referenceCollectionUri' => '<string>'
],
'getCredentialsFromConnectionParameters' => [
],
'refreshCredentials' => [
],
'makeApiClient' => [
],
'getOAuthConfig' => [
],
'getTokenData' => [
],
'getCredentialsFromAccessTokenResponse' => [
],
'getCredentialsFromRefreshTokenResponse' => [
],
'test' => [
],
'disconnect' => [
],
'proxyKey' => '<string>',
'options' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/connectors/{idOrKey}"
payload := strings.NewReader("{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"logoUri\": \"<string>\",\n \"externalAppId\": \"<string>\",\n \"externalAppUuid\": \"<string>\",\n \"categories\": [\n \"<string>\"\n ],\n \"customCredentialsSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"inputSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"parametersSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"getCredentialsFromConnectionParameters\": {},\n \"refreshCredentials\": {},\n \"makeApiClient\": {},\n \"getOAuthConfig\": {},\n \"getTokenData\": {},\n \"getCredentialsFromAccessTokenResponse\": {},\n \"getCredentialsFromRefreshTokenResponse\": {},\n \"test\": {},\n \"disconnect\": {},\n \"proxyKey\": \"<string>\",\n \"options\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmembrane.com/connectors/{idOrKey}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"logoUri\": \"<string>\",\n \"externalAppId\": \"<string>\",\n \"externalAppUuid\": \"<string>\",\n \"categories\": [\n \"<string>\"\n ],\n \"customCredentialsSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"inputSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"parametersSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"getCredentialsFromConnectionParameters\": {},\n \"refreshCredentials\": {},\n \"makeApiClient\": {},\n \"getOAuthConfig\": {},\n \"getTokenData\": {},\n \"getCredentialsFromAccessTokenResponse\": {},\n \"getCredentialsFromRefreshTokenResponse\": {},\n \"test\": {},\n \"disconnect\": {},\n \"proxyKey\": \"<string>\",\n \"options\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/connectors/{idOrKey}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"logoUri\": \"<string>\",\n \"externalAppId\": \"<string>\",\n \"externalAppUuid\": \"<string>\",\n \"categories\": [\n \"<string>\"\n ],\n \"customCredentialsSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"inputSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"parametersSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"getCredentialsFromConnectionParameters\": {},\n \"refreshCredentials\": {},\n \"makeApiClient\": {},\n \"getOAuthConfig\": {},\n \"getTokenData\": {},\n \"getCredentialsFromAccessTokenResponse\": {},\n \"getCredentialsFromRefreshTokenResponse\": {},\n \"test\": {},\n \"disconnect\": {},\n \"proxyKey\": \"<string>\",\n \"options\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"key": "<string>",
"uuid": "<string>",
"name": "<string>",
"logoUri": "<string>",
"version": "<string>",
"externalAppId": "<string>",
"appUri": "<string>",
"categories": [
"<string>"
],
"isPublic": true,
"popularity": 123,
"tenantId": "<string>",
"archivedAt": "<string>",
"baseUri": "<string>",
"revision": "<string>",
"dataCollectionsCount": 123,
"operationsCount": 123,
"eventsCount": 123,
"udms": [
"<string>"
],
"hasTest": true,
"hasAuthTest": true,
"hasOperations": true,
"hasData": true,
"isReadOnly": true,
"credentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"type": "integration-app-token",
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {
"type": "mapping"
},
"refreshCredentials": {
"type": "mapping"
},
"makeApiClient": {
"type": "mapping"
},
"getOAuthConfig": {
"type": "mapping"
},
"getTokenData": {
"type": "mapping"
},
"getCredentialsFromAccessTokenResponse": {
"type": "mapping"
},
"getCredentialsFromRefreshTokenResponse": {
"type": "mapping"
},
"test": {
"type": "mapping"
},
"disconnect": {
"type": "mapping"
},
"proxyKey": "<string>",
"options": {}
}Connectors
Update connector partially
PATCH
/
connectors
/
{idOrKey}
Update connector partially
curl --request PATCH \
--url https://api.getmembrane.com/connectors/{idOrKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"name": "<string>",
"logoUri": "<string>",
"externalAppId": "<string>",
"externalAppUuid": "<string>",
"categories": [
"<string>"
],
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {},
"refreshCredentials": {},
"makeApiClient": {},
"getOAuthConfig": {},
"getTokenData": {},
"getCredentialsFromAccessTokenResponse": {},
"getCredentialsFromRefreshTokenResponse": {},
"test": {},
"disconnect": {},
"proxyKey": "<string>",
"options": {}
}
'import requests
url = "https://api.getmembrane.com/connectors/{idOrKey}"
payload = {
"key": "<string>",
"name": "<string>",
"logoUri": "<string>",
"externalAppId": "<string>",
"externalAppUuid": "<string>",
"categories": ["<string>"],
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": True,
"enum": ["<string>"],
"referenceRecords": [{}],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": True,
"required": ["<string>"],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": True,
"writeOnly": True,
"examples": [{}],
"anyOf": "<array>",
"isImplied": True,
"isSensitive": True,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": True,
"enum": ["<string>"],
"referenceRecords": [{}],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": True,
"required": ["<string>"],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": True,
"writeOnly": True,
"examples": [{}],
"anyOf": "<array>",
"isImplied": True,
"isSensitive": True,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": True,
"enum": ["<string>"],
"referenceRecords": [{}],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": True,
"required": ["<string>"],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": True,
"writeOnly": True,
"examples": [{}],
"anyOf": "<array>",
"isImplied": True,
"isSensitive": True,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {},
"refreshCredentials": {},
"makeApiClient": {},
"getOAuthConfig": {},
"getTokenData": {},
"getCredentialsFromAccessTokenResponse": {},
"getCredentialsFromRefreshTokenResponse": {},
"test": {},
"disconnect": {},
"proxyKey": "<string>",
"options": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
name: '<string>',
logoUri: '<string>',
externalAppId: '<string>',
externalAppUuid: '<string>',
categories: ['<string>'],
customCredentialsSchema: {
type: '<string>',
title: '<string>',
description: '<string>',
format: '<string>',
properties: {},
items: '<unknown>',
additionalProperties: true,
enum: ['<string>'],
referenceRecords: [{}],
referenceCollection: {key: {}, parameters: {}},
referenceUdm: '<string>',
default: {},
allowCustom: true,
required: ['<string>'],
minLength: 123,
maxLength: 123,
minimum: 123,
maximum: 123,
maxItems: 123,
readOnly: true,
writeOnly: true,
examples: [{}],
anyOf: '<array>',
isImplied: true,
isSensitive: true,
referenceCollectionPath: '<string>',
referenceCollectionUri: '<string>'
},
inputSchema: {
type: '<string>',
title: '<string>',
description: '<string>',
format: '<string>',
properties: {},
items: '<unknown>',
additionalProperties: true,
enum: ['<string>'],
referenceRecords: [{}],
referenceCollection: {key: {}, parameters: {}},
referenceUdm: '<string>',
default: {},
allowCustom: true,
required: ['<string>'],
minLength: 123,
maxLength: 123,
minimum: 123,
maximum: 123,
maxItems: 123,
readOnly: true,
writeOnly: true,
examples: [{}],
anyOf: '<array>',
isImplied: true,
isSensitive: true,
referenceCollectionPath: '<string>',
referenceCollectionUri: '<string>'
},
parametersSchema: {
type: '<string>',
title: '<string>',
description: '<string>',
format: '<string>',
properties: {},
items: '<unknown>',
additionalProperties: true,
enum: ['<string>'],
referenceRecords: [{}],
referenceCollection: {key: {}, parameters: {}},
referenceUdm: '<string>',
default: {},
allowCustom: true,
required: ['<string>'],
minLength: 123,
maxLength: 123,
minimum: 123,
maximum: 123,
maxItems: 123,
readOnly: true,
writeOnly: true,
examples: [{}],
anyOf: '<array>',
isImplied: true,
isSensitive: true,
referenceCollectionPath: '<string>',
referenceCollectionUri: '<string>'
},
getCredentialsFromConnectionParameters: {},
refreshCredentials: {},
makeApiClient: {},
getOAuthConfig: {},
getTokenData: {},
getCredentialsFromAccessTokenResponse: {},
getCredentialsFromRefreshTokenResponse: {},
test: {},
disconnect: {},
proxyKey: '<string>',
options: {}
})
};
fetch('https://api.getmembrane.com/connectors/{idOrKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/connectors/{idOrKey}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'key' => '<string>',
'name' => '<string>',
'logoUri' => '<string>',
'externalAppId' => '<string>',
'externalAppUuid' => '<string>',
'categories' => [
'<string>'
],
'customCredentialsSchema' => [
'type' => '<string>',
'title' => '<string>',
'description' => '<string>',
'format' => '<string>',
'properties' => [
],
'items' => '<unknown>',
'additionalProperties' => true,
'enum' => [
'<string>'
],
'referenceRecords' => [
[
]
],
'referenceCollection' => [
'key' => [
],
'parameters' => [
]
],
'referenceUdm' => '<string>',
'default' => [
],
'allowCustom' => true,
'required' => [
'<string>'
],
'minLength' => 123,
'maxLength' => 123,
'minimum' => 123,
'maximum' => 123,
'maxItems' => 123,
'readOnly' => true,
'writeOnly' => true,
'examples' => [
[
]
],
'anyOf' => '<array>',
'isImplied' => true,
'isSensitive' => true,
'referenceCollectionPath' => '<string>',
'referenceCollectionUri' => '<string>'
],
'inputSchema' => [
'type' => '<string>',
'title' => '<string>',
'description' => '<string>',
'format' => '<string>',
'properties' => [
],
'items' => '<unknown>',
'additionalProperties' => true,
'enum' => [
'<string>'
],
'referenceRecords' => [
[
]
],
'referenceCollection' => [
'key' => [
],
'parameters' => [
]
],
'referenceUdm' => '<string>',
'default' => [
],
'allowCustom' => true,
'required' => [
'<string>'
],
'minLength' => 123,
'maxLength' => 123,
'minimum' => 123,
'maximum' => 123,
'maxItems' => 123,
'readOnly' => true,
'writeOnly' => true,
'examples' => [
[
]
],
'anyOf' => '<array>',
'isImplied' => true,
'isSensitive' => true,
'referenceCollectionPath' => '<string>',
'referenceCollectionUri' => '<string>'
],
'parametersSchema' => [
'type' => '<string>',
'title' => '<string>',
'description' => '<string>',
'format' => '<string>',
'properties' => [
],
'items' => '<unknown>',
'additionalProperties' => true,
'enum' => [
'<string>'
],
'referenceRecords' => [
[
]
],
'referenceCollection' => [
'key' => [
],
'parameters' => [
]
],
'referenceUdm' => '<string>',
'default' => [
],
'allowCustom' => true,
'required' => [
'<string>'
],
'minLength' => 123,
'maxLength' => 123,
'minimum' => 123,
'maximum' => 123,
'maxItems' => 123,
'readOnly' => true,
'writeOnly' => true,
'examples' => [
[
]
],
'anyOf' => '<array>',
'isImplied' => true,
'isSensitive' => true,
'referenceCollectionPath' => '<string>',
'referenceCollectionUri' => '<string>'
],
'getCredentialsFromConnectionParameters' => [
],
'refreshCredentials' => [
],
'makeApiClient' => [
],
'getOAuthConfig' => [
],
'getTokenData' => [
],
'getCredentialsFromAccessTokenResponse' => [
],
'getCredentialsFromRefreshTokenResponse' => [
],
'test' => [
],
'disconnect' => [
],
'proxyKey' => '<string>',
'options' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/connectors/{idOrKey}"
payload := strings.NewReader("{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"logoUri\": \"<string>\",\n \"externalAppId\": \"<string>\",\n \"externalAppUuid\": \"<string>\",\n \"categories\": [\n \"<string>\"\n ],\n \"customCredentialsSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"inputSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"parametersSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"getCredentialsFromConnectionParameters\": {},\n \"refreshCredentials\": {},\n \"makeApiClient\": {},\n \"getOAuthConfig\": {},\n \"getTokenData\": {},\n \"getCredentialsFromAccessTokenResponse\": {},\n \"getCredentialsFromRefreshTokenResponse\": {},\n \"test\": {},\n \"disconnect\": {},\n \"proxyKey\": \"<string>\",\n \"options\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmembrane.com/connectors/{idOrKey}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"logoUri\": \"<string>\",\n \"externalAppId\": \"<string>\",\n \"externalAppUuid\": \"<string>\",\n \"categories\": [\n \"<string>\"\n ],\n \"customCredentialsSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"inputSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"parametersSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"getCredentialsFromConnectionParameters\": {},\n \"refreshCredentials\": {},\n \"makeApiClient\": {},\n \"getOAuthConfig\": {},\n \"getTokenData\": {},\n \"getCredentialsFromAccessTokenResponse\": {},\n \"getCredentialsFromRefreshTokenResponse\": {},\n \"test\": {},\n \"disconnect\": {},\n \"proxyKey\": \"<string>\",\n \"options\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/connectors/{idOrKey}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"logoUri\": \"<string>\",\n \"externalAppId\": \"<string>\",\n \"externalAppUuid\": \"<string>\",\n \"categories\": [\n \"<string>\"\n ],\n \"customCredentialsSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"inputSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"parametersSchema\": {\n \"type\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"properties\": {},\n \"items\": \"<unknown>\",\n \"additionalProperties\": true,\n \"enum\": [\n \"<string>\"\n ],\n \"referenceRecords\": [\n {}\n ],\n \"referenceCollection\": {\n \"key\": {},\n \"parameters\": {}\n },\n \"referenceUdm\": \"<string>\",\n \"default\": {},\n \"allowCustom\": true,\n \"required\": [\n \"<string>\"\n ],\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minimum\": 123,\n \"maximum\": 123,\n \"maxItems\": 123,\n \"readOnly\": true,\n \"writeOnly\": true,\n \"examples\": [\n {}\n ],\n \"anyOf\": \"<array>\",\n \"isImplied\": true,\n \"isSensitive\": true,\n \"referenceCollectionPath\": \"<string>\",\n \"referenceCollectionUri\": \"<string>\"\n },\n \"getCredentialsFromConnectionParameters\": {},\n \"refreshCredentials\": {},\n \"makeApiClient\": {},\n \"getOAuthConfig\": {},\n \"getTokenData\": {},\n \"getCredentialsFromAccessTokenResponse\": {},\n \"getCredentialsFromRefreshTokenResponse\": {},\n \"test\": {},\n \"disconnect\": {},\n \"proxyKey\": \"<string>\",\n \"options\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"key": "<string>",
"uuid": "<string>",
"name": "<string>",
"logoUri": "<string>",
"version": "<string>",
"externalAppId": "<string>",
"appUri": "<string>",
"categories": [
"<string>"
],
"isPublic": true,
"popularity": 123,
"tenantId": "<string>",
"archivedAt": "<string>",
"baseUri": "<string>",
"revision": "<string>",
"dataCollectionsCount": 123,
"operationsCount": 123,
"eventsCount": 123,
"udms": [
"<string>"
],
"hasTest": true,
"hasAuthTest": true,
"hasOperations": true,
"hasData": true,
"isReadOnly": true,
"credentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"type": "integration-app-token",
"customCredentialsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"getCredentialsFromConnectionParameters": {
"type": "mapping"
},
"refreshCredentials": {
"type": "mapping"
},
"makeApiClient": {
"type": "mapping"
},
"getOAuthConfig": {
"type": "mapping"
},
"getTokenData": {
"type": "mapping"
},
"getCredentialsFromAccessTokenResponse": {
"type": "mapping"
},
"getCredentialsFromRefreshTokenResponse": {
"type": "mapping"
},
"test": {
"type": "mapping"
},
"disconnect": {
"type": "mapping"
},
"proxyKey": "<string>",
"options": {}
}Authorizations
Body
application/json
Response
200 - application/json
Was this page helpful?